curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/machineTranslateSettings/{mtsUid}/status \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/machineTranslateSettings/{mtsUid}/status"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/machineTranslateSettings/{mtsUid}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"ok": true,
"uid": "<string>"
}Get status of machine translate engine
Makes a real-time call to the MT engine’s backend and reports whether it responded successfully. Not supported for a Language AI profile wrapper uid (type MEMSOURCE_TRANSLATE_SETTINGS) — such a call returns 400 Bad Request with “It is not possible to call status endpoint with Language AI profile wrapper”. To check Phrase Language AI engine health, use GET /api2/v2/memsourceTranslateProfiles//engines/statuses instead.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Machine translate settings UID. Identifies a standalone MT-engine settings entry (see GET /machineTranslateSettings), not a Language AI profile wrapper uid (type MEMSOURCE_TRANSLATE_SETTINGS) — passing a Language AI profile wrapper uid returns 400 Bad Request. To check Phrase Language AI engine health, use GET /api2/v2/memsourceTranslateProfiles/{uid}/engines/statuses instead.
Was this page helpful?